createWorkspace

Create workspace

POST/v1/admin/workspaces

Authorization

AuthorizationBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header parameters

x-multiple-integrations?string
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Request body

Workspace metadata

namestring
billingVersion?enum<string>
Available options:"v4"

Response

Success

idstring
namestring
ownerIdstring
createdAtstring
updatedAtstring
botCountnumber
billingVersionenum<string>
Available options:"v1","v2","v3","v4"
planenum<string>
Available options:"community","team","enterprise","plus","managed"
blockedboolean
spendingLimitnumber
about?stringdefault: ""
profilePicture?stringdefault: ""
contactEmail?stringdefault: ""
website?stringdefault: ""
socialAccounts?string[]default: []
isPublic?boolean
handle?string
activeTrialIdstring | null